/**********************************************************************
 * options.h                                                   May 1999
 * Horms                                             horms@valinux.com.
 * VA Linux System                                 http://valinux.com./
 *
 * Read in command line options
 * Code based on man getopt(3)
 *
 * Released under the terms of the GNU GPL
 **********************************************************************/

#ifndef PERDITION_OPTIONS_STIX
#define PERDITION_OPTIONS_STIX

#include <stdio.h>
#include <getopt.h>
#include <string.h>

#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif

#include "jain.h"
#include "log.h"
#include "protocol.h"
#include "daemon.h"

#define DEFAULT_MAPNAME "/etc/perdition/popmap.db"
#define DEFAULT_PROTOCOL PROTOCOL_POP3
#define DEFAULT_USERNAME "nobody"
#define DEFAULT_GROUP "nobody"
#define DEFAULT_IDLE_TIMEOUT 1800 /*in seconds*/

#ifndef CLIENT_SERVER_DELIMITER
#define CLIENT_SERVER_DELIMITER '@'
#endif /*CLIENT_SERVER_DELIMITER*/

typedef struct {
  char * mapname;
  int inetd_mode;
  int client_server_specification;
  int authenticate_in;
  char * port;
  char * username;
  char * group;
  int protocol;
} options_t;

extern char *optarg;
extern int optind, opterr, optopt;

options_t options(int argc, char **argv);
int  log_options(options_t options);
void usage(int exit_status);

#endif
