/**********************************************************************
 * pam.c                                                     March 1999
 * Horms                                             horms@valinux.com.
 * VA Linux System                                 http://valinux.com./
 *
 * Authenticate a user using pam
 *
 * Taken fromt the pam programming guide
 *
 * Released under the terms of the GNU GPL
 *
 **********************************************************************/

#ifdef HAVE_CONFIG_H
#include "../config.h" 
#endif

#ifndef DO_PAM
#define DO_PAM

#include <security/pam_appl.h>
#include <security/pam_misc.h>
#include <stdio.h>
#include <stdlib.h>

#define SERVICE_NAME "perdition"
#define EX_PAM_ERROR -1


int do_pam_authentication(
  pam_handle_t *pamh,
  const char *user,
  const char *pass
);

int perdition_conv(
  int num_msg,
  const struct pam_message **msgm,
  struct pam_response **response,
  void *appdata_ptr
);
int do_pam_end(pam_handle_t *pamh, int default_return);

static int pam_retval;
static struct pam_conv conv_struct={perdition_conv, NULL};

#endif  /*DO_PAM*/
